%define name rfsysinfo

Summary:	Redflag Linux System Information
Name:		rfsysinfo
Version:	1.0.22
Release:	2.1AX
Group:		Applications/System
Vendor:		Red Flag Software Co., Ltd.
Packager:	packager@redflag-linux.com
Source:		rfsysinfo.tar.gz
Source1:	rfsysinfo_ko.qm
Source2:	rfsysinfo_ko.ts
%ifarch i386 ppc
Provides:	librfsysinfo.so
%endif
%ifarch x86_64 ia64 ppc64
Provides:	librfsysinfo.so()(64bit)
%endif
License:	GPL
Patch0:		rfsysinfo-desktop.ko.patch
Patch1:		rfsysinfo-memory-size.patch

#AutoReqProv: no
#Buildroot: %{_tmppath}/%{name}-root

%description
RFsysinfo is a tool to show information of your computer .
(Including sysconf,device,partition .etc)
	
%prep
%setup -q -n rfsysinfo
%patch0  -p1 -b .ko
%patch1  -p0

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}/
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}/

%build
unset QTDIR
. /etc/profile.d/qt.sh
%ifarch x86_64 ppc64
export suffix=64
%else
export suffix=""
%endif
make clean; make

%install
rm -rf %{buildroot}
#make install  DESTDIR=$RPM_BUILD_ROOT
make install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp rfsysinfo.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/rfsysinfo-%{version}-%{release}.desktop

%post
#this is where the package erase actions for previous vesion of rfsysinfo on AX1.0-SP1
if [ -f /etc/sysconfig/khwtree/GroupSys/rfsysinfo.desktop ];then
rm -f /etc/sysconfig/khwtree/GroupSys/rfsysinfo.desktop
fi

%preun

%files
/etc/sysconfig/khwtree/GroupSys/rfsysinfo-%{version}-%{release}.desktop
/usr/bin/rfsysinfo
/usr/lib/rfmin/lib/librfsysinfo.so.1.0.0
/usr/lib/librfsysinfo.so
/usr/lib/librfsysinfo.so.1
/usr/lib/librfsysinfo.so.1.0

#/usr/lib/rfmin/lib/libpthread.so.0

/usr/lib/rfmin/include/rfsysinfo/*.h
/usr/share/rfsysinfo/*.qm 
/usr/share/rfsysinfo/doc/index
/usr/share/rfsysinfo/doc/index.cache
/usr/share/rfsysinfo/doc/rfsysinfo_manual.html
/usr/share/rfsysinfo/doc/rfsysinfo_manual.xml
/usr/share/rfsysinfo/doc/en/index
/usr/share/rfsysinfo/doc/en/index.cache
/usr/share/rfsysinfo/doc/en/rfsysinfo_manual.html
/usr/share/rfsysinfo/doc/en/rfsysinfo_manual.xml
/usr/share/rfsysinfo/gif/
/etc/rfmin/rfsysinfo/config/
/usr/share/applnk/Settings/rfsysinfo.desktop
/usr/share/pixmaps/rfsysinfo.xpm

%changelog
* Wed Dec 07 2005 Hua Jie <jiehua@redflag-linux.com> 1.0.22-2.1AX
- get a patch from dcwang@redflag-linux.com that fix the problem
- of detect size of system memory

* Wed Nov 16 2005 Nam, Kwonwoo <kwnam@haansoft.com> 1.0.22-2
- add Korean resource(source 1, 2 patch 0)
- remove post postun action and change .desktop file install method
* Wed Sep 01 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.22
- snapshot updated.

* Thu Aug 05 2004 Zou Pengcheng <pczou@redflag-linux.com>
- fix misc bugs for desktop 4.1

* Mon Jul 19 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.20
- IA64 port (realloc requires stdlib.h to work)

* Wed Jul 07 2004 Zou Pengcheng <pczou@redflag-linux.com> 1.0.19-1
- stop getting physical memory size from GetMemoryDmi(), use GetMemoryKcore() instead.

